$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.44.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.44.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '8F8A66FD679BFB319CDD75737A266B9C6C165770878814E728325A6C24FC6EA2'
  checksumType = 'sha256'
  checksum64 = '8F8A66FD679BFB319CDD75737A266B9C6C165770878814E728325A6C24FC6EA2'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.44-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
